<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/Library/updates/20090312-stats-v4/converterWeblogsEnd.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
include_once(dirname(__FILE__)."/../../../common/common_functions.inc.php");
include_once(dirname(__FILE__)."/../../../common/nql.class.php");

$nql = new NQL();
$nql->addCommand('
<CREATE>
	<BATCH>
		<INFO>
			<DOMAIN>weblogsConverterKiller</DOMAIN>
			<DENOMINATION>kill cron weblogs converter</DENOMINATION>
			<TYPE>nql</TYPE>
			<COMMAND>
				<DELETE>
					<CRON>
						<WHERE>
							<INFO>
								<DOMAIN>weblogsConverter</DOMAIN>
							</INFO>
						</WHERE>
					</CRON>
				</DELETE>
			</COMMAND>
			<STATUS>pending</STATUS>
		</INFO>
	</BATCH>
</CREATE>
');
$nql->execute();

//send mail

$nql = new NQL();
$nql->addCommand('
<CREATE>
	<SERVERMAIL>
		<SENDER email="jonathan@officity.com">jonathan</SENDER>
		<RECIPIENT>jonathan@officity.com</RECIPIENT>
		<RECIPIENT>francois@officity.com</RECIPIENT>
		<RECIPIENT>boris@officity.com</RECIPIENT>
		<SUBJECT>fin de portage</SUBJECT>
		<BODY>le portage du site '.$_SERVER['HTTP_HOST'].' est terminé</BODY>
	</SERVERMAIL>
</CREATE>');
$nql->execute();

copy(dirname(__FILE__).'/resources/common_functions.inc.php', dirname(__FILE__).'/../../../common/common_functions.inc.php');
copy(dirname(__FILE__).'/resources/searchStatsV4.class.php', dirname(__FILE__).'/../../../private/searchStatsV4.class.php');
copy(dirname(__FILE__).'/resources/request_function.inc.php', dirname(__FILE__).'/../../../private/request_function.inc.php');
copy(dirname(__FILE__).'/resources/searchWeblogs.inc.php', dirname(__FILE__).'/../../../private/searchWeblogs.inc.php');

$db_conn = db_connect();
$sql="
DROP TABLE weblogs_cp;";
debug_log($sql);
$db_conn->Execute($sql);
echo $db_conn->ErrorMsg();

$sql="
DROP TABLE weblogs;";
debug_log($sql);
$db_conn->Execute($sql);
echo $db_conn->ErrorMsg();

$sql="
DROP TABLE stats;";
debug_log($sql);
$db_conn->Execute($sql);
echo $db_conn->ErrorMsg();

//zip weblogs.sql

$zip = new ZipArchive();
if ($zip->open(dirname(__FILE__)."/../../../../Files/stats/weblogs.sql.zip", ZIPARCHIVE::CREATE)!==TRUE) {
    exit("Impossible d'ouvrir le zip\n");
}

$zip->addFile(dirname(__FILE__)."/../../../../Files/stats/weblogs.sql","weblogs.sql");
$zip->close();

unlink(dirname(__FILE__)."/../../../../Files/stats/weblogs.sql");

//commonFunction TEMP
//drop update files
?>


